<div style="margin-top: 20px;">
        <div class="container">
            <div class="row maximum-width-p-list">
                <p-dataList 
                    [value]="stockOpnames" 
                    [paginator]="true" 
                    [rows]="itemsPerPage"
                    [paginator]="true"
                    [pageLinks]="5"
                    [rowsPerPageOptions]="[10,15,20]"
                    [totalRecords]="totalItems"
                    [responsive]="true"
                    [lazy]="true"
                    dataKey="IdStockOpname"
                    expandableRows="false"
                    (onLazyLoad)="loadDataLazy($event)"
                >
                    <p-header>
                        <jhi-alert></jhi-alert>
                        <div>
                            <form name="searchForm" class="form-inline">
                                <div class="input-group w-100 mt-3">
                                    <input type="text" class="form-control" [(ngModel)]="currentSearch" id="currentSearch"
                                        name="currentSearch" placeholder="Cari Stock Opname Unit ">
                                    <button class="input-group-addon btn btn-info flat-style-button" (click)="search(currentSearch)" *ngIf="currentSearch">
                                        <span class="fa fa-search"></span>
                                    </button>
                                    <button class="input-group-addon btn btn-danger flat-style-button" (click)="clear()" *ngIf="currentSearch">
                                        <span class="fa fa-trash-o"></span>
                                    </button>
                                </div>
                            </form>
                        </div>
                    </p-header>
                    <ng-template let-rowData pTemplate="item">
                        <div>
                            <div class="ui-g ui-fluid border-item">
                                <div class="ui-g-10 ui-md-10">
                                    <div class="ui-g">
                                        <div class="ui-g-12 ui-sm-12"><h3>{{rowData.StockOpnameNumber}}</h3></div>
                                        <div class="ui-g-12 ui-sm-12"><h6>{{rowData.dtCreated | date:'dd-MMM-yyyy'}}</h6></div>
                                        <div class="ui-g-12 ui-sm-12"><span>Created by {{rowData.CreatedBy}}</span></div>
                                    </div>
                                </div>
                                <div class="ui-g-6 ui-md-2" style="text-align:right">
                                    <div class="ui-g">     
                                        <div class="ui-g-12 ui-sm-12">                                     
                                            <button pButton 
                                                    class="flat-button" 
                                                    icon="fa-ellipsis-v" 
                                                    style="font-size:32px;"
                                                    (click)="menu.toggle($event); setId(rowData.IdStockOpname)"
                                            ></button>
                                            <p-menu #menu [popup]="true" [model]="MenuItem"></p-menu>
                                        </div>
                                    </div>
                                </div>
                            </div>
                        </div>
                    </ng-template>
            </p-dataList>
            </div>
        </div>
    </div>
    <div style="margin-top: 10px;"></div>
    
    <p-confirmDialog></p-confirmDialog>
    
    